[PATCH 1/3] test: add known broken test exit code of notmuch show

Subject: [PATCH 1/3] test: add known broken test exit code of notmuch show

Date: Thu, 23 Jan 2014 08:23:59 -0400

To: notmuch@notmuchmail.org

Cc:

From: David Bremner


This test catches a segfault on a syntactically invalid query. It also
catches a problem with my initial fix, which still returned 0.
---
 test/T520-show.sh | 14 ++++++++++++++
 1 file changed, 14 insertions(+)
 create mode 100755 test/T520-show.sh

diff --git a/test/T520-show.sh b/test/T520-show.sh
new file mode 100755
index 0000000..bdd9d71
--- /dev/null
+++ b/test/T520-show.sh
@@ -0,0 +1,14 @@
+#!/usr/bin/env bash
+test_description='"notmuch show"'
+
+. ./test-lib.sh
+
+add_email_corpus
+
+test_begin_subtest "exit code for show invalid query"
+test_subtest_known_broken
+notmuch show foo..
+exit_code=$?
+test_expect_equal 1 $exit_code
+
+test_done
-- 
1.8.5.2


Thread: